#
# Conditional build:
%bcond_with	verbose		# verbose build (V=1)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel	4
%define		pname	e1000e
Summary:	Intel(R) PRO/1000e driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel® PRO/1000e
Name:		%{pname}%{_alt_kernel}
Version:	3.1.0.2
Release:	%{rel}@%{_kernel_ver_str}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://downloads.sourceforge.net/e1000/%{pname}-%{version}.tar.gz
# Source0-md5:	b8d770160691edd247a90070f45642ce
Patch0:		linux-3.19.patch
URL:		http://downloads.sourceforge.net/e1000/
BuildRequires:	rpm-build-macros >= 1.701
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Intel(R) PRO/1000
family of 10/100/1000 Ethernet network adapters. This driver is
designed to work with the Intel(R) 82571/2/3/4 PCI-E family of gigabit
adapters and 82567 controllers.

%description -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych
10/100/1000Mbit z rodziny Intel® PRO/1000. Ten sterownik jest
stworzony aby pracować z kartami gigabitowymi rodziny Intel®
82571/2/3/4 PCI-E oraz kontrolerami 82567.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-net-%{pname}\
Summary:	Intel(R) PRO/1000e driver for Linux\
Summary(pl.UTF-8):	Sterownik do karty Intel® PRO/1000e\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-net-%{pname}\
This package contains the Linux driver for the Intel(R) PRO/1000\
family of 10/100/1000 Ethernet network adapters. This driver is\
designed to work with the Intel(R) 82571/2/3/4 PCI-E family of gigabit\
adapters and 82567 controllers.\
\
%description -n kernel%{_alt_kernel}-net-%{pname} -l pl.UTF-8\
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych\
10/100/1000Mbit z rodziny Intel® PRO/1000. Ten sterownik jest\
stworzony aby pracować z kartami gigabitowymi rodziny Intel®\
82571/2/3/4 PCI-E oraz kontrolerami 82567.\
\
%files -n kernel%{_alt_kernel}-net-%{pname}\
%defattr(755,root,root,755)\
%doc e1000e.7 README\
/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf\
/lib/modules/%{_kernel_ver}/kernel/drivers/net/%{pname}*.ko*\
\
%post	-n kernel%{_alt_kernel}-net-%{pname}\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-net-%{pname}\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%build_kernel_modules -C src -m %{pname}\
%install_kernel_modules -D installed -m src/%{pname} -d kernel/drivers/net -n %{pname} -s current\
%{nil}

%define install_kernel_pkg()\
install -d $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}\
# blacklist kernel module\
cat > $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf <<'EOF'\
blacklist e1000e\
alias e1000e e1000e-current\
EOF\
%{nil}

%{expand:%create_kernel_packages}

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

cat > src/Makefile <<'EOF'
obj-m := e1000e.o
e1000e-objs := netdev.o ethtool.o param.o \
82571.o ich8lan.o 80003es2lan.o \
mac.o nvm.o phy.o manage.o kcompat.o ptp.o

EXTRA_CFLAGS=-DDRIVER_E1000E -DCONFIG_E1000E_SEPARATE_TX_HANDLER
EOF
# add -DE1000E_NO_NAPI to disable NAPI

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{expand:%install_kernel_packages}
cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Thu Nov 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/e1000e.git;a=log;h=auto/th/e1000e-3.1.0.2-4

* Mon Mar 30 2015 Jan Rękorajski <baggins@pld-linux.org> d3d01a2
- fix building with linux 3.19
- rel 4

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> a01ffce
- no debuginfo here

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 7ad0beb
- updated kernel modules build system
- rel 3

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> af24afb
- drop non-dist kernel support

* Mon Aug 25 2014 Jan Rękorajski <baggins@pld-linux.org> 1fb664c
- added missing ptp.o to module objects
- rel 2

* Fri Jul 11 2014 Jan Rękorajski <baggins@pld-linux.org> 3eb5316
- rel 1

* Tue Jul 01 2014 Grzegorz Pycia <gzohop@pld-linux.org> e49b7a7
- up to 3.1.0.2

* Sun Feb 09 2014 Jan Rękorajski <baggins@pld-linux.org> 96d4e99
- fix kernel package summary
- rel 21

* Sun Oct 27 2013 Jan Rękorajski <baggins@pld-linux.org> 8743c54
- no userspace in this spec

* Sun Oct 27 2013 Jan Rękorajski <baggins@pld-linux.org> 893e3b3
- rel 20

* Sun Oct 27 2013 Jan Rękorajski <baggins@pld-linux.org> 2cc31ae
- no userespace in this package

* Sun Oct 27 2013 Jan Rękorajski <baggins@pld-linux.org> 8b4362e
- drop en "translations", it's execatly the same as C and serves no purpose

* Sun Oct 27 2013 Jan Rękorajski <baggins@pld-linux.org> 03a3772
- switch to macro driven module build for multiple kernel versions

* Mon Oct 07 2013 Jan Rękorajski <baggins@pld-linux.org> df96a7a
- rebuild for kernel-3.10.15-1
- release 19 (by relup.sh)

* Wed Oct 02 2013 Jan Rękorajski <baggins@pld-linux.org> 1ebee2d
- rebuild for kernel-3.10.14-1
- release 18 (by relup.sh)

* Fri Sep 27 2013 Jan Rękorajski <baggins@pld-linux.org> 4726574
- rebuild for kernel-3.10.13-1
- release 17 (by relup.sh)

* Sun Sep 15 2013 Jan Rękorajski <baggins@pld-linux.org> 9e24825
- rebuild for kernel-3.10.12-1
- release 16 (by relup.sh)

* Tue Sep 10 2013 Jan Rękorajski <baggins@pld-linux.org> 248e822
- rebuild for kernel-3.10.11-1
- release 15 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> 7724368
- rebuild for kernel-3.10.10-1
- release 14 (by relup.sh)

* Sat Aug 24 2013 Jan Rękorajski <baggins@pld-linux.org> 3fdbecf
- rebuild for kernel-3.10.9-1
- release 13 (by relup.sh)

